[macOS] Copy/paste table rows causes qgis to crash

2017-02-03 04:24 AM - didier peeters

Status: Closed

Priority: High

Assignee:

Category: Data Provider/PostGIS

Affected QGIS version:2.18.2 Regression?: No

Operating System: macOS Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:Yes Copied to github as #: 24057

Description

Trying to copy/paste rows between two tables (layers without geometries in my case) loaded in QGis.  

They have the same structure but the destination is a postgis table while the other one is a csv file.  I copy 30 rows and when a click on the

‘Paste’ button in the attribute table window QGis crashes immediately. 

I’m doing this on Mac OS Sierra with QGis 2.18.2 and QGis 2.14.10 (both from Kyngchaos).

Just to mention, on QGis users list, another Mac OS Sierra user reported something similar :

1. I couldn’t copy the whole lot, but I could copy it in lots of 1,000,000 up to the last packet and then it crashed.

2. I could copy the whole thing into a QGIS temporary layer (4,700,000 points).

3. I could copy the whole thing into a shape layer.

4. I could copy the whole lot from the temporal layer into the spatialite layer.

Maybe there are no relations between these two issues but they might be related to the database data providers.

History

#1 - 2017-02-03 06:42 AM - didier peeters

Some more information : I just made a test on Mac OS El Capitan with QGis 2.18.0 installed by homebrew.

I could do the copy/paste operation two or three times, but since then I get the same crash every time.  

I thought that maybe it was related to the presence of a trigger (on insert) on the destination table but dropping it didn't solve the problem.

Next try : on Windows and on Linuw Mint both with QGis 2.14: it doesn't crash but saving the table is very slow.

#2 - 2017-03-07 10:28 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Subject changed from Copy/paste table rows causes qgis to crash to Copy/paste table rows causes qgis to crash on macOS

Just tested you scenario on macOS Sierra and QGIS 2.18.2, no crashes. Saving is quick (at least with a few tens of copied/pasted rows from csv).

#3 - 2017-03-10 01:51 AM - didier peeters

@Giovanni: I made a short video to show you how this happens : https://app.box.com/s/1b0pzpva4l1gtwl0zu2z7ft6n9fgyt8u

The action showed is fictitious, I'm not doing useless things like that usually ...

Hope it helps.
#4 - 2017-03-10 05:54 AM - Giovanni Manghi

- Assignee deleted (Jürgen Fischer)

didier peeters wrote:

@Giovanni: I made a short video to show you how this happens : https://app.box.com/s/1b0pzpva4l1gtwl0zu2z7ft6n9fgyt8u

The action showed is fictitious, I'm not doing useless things like that usually ...

Hope it helps.

have you tried in a clean environment, for example by wiping the ~/.qgis2 folder?

#5 - 2017-03-12 10:29 AM - didier peeters

I just did it (renamed ~/.qgis2 folder and preference files) and it doesn't make any difference.

#6 - 2017-04-30 12:29 AM - Giovanni Manghi

- Description updated

- Affected QGIS version changed from 2.14.10 to 2.18.2

- Operating System changed from Mac  to macOS

- Status changed from Feedback to Open

- Subject changed from Copy/paste table rows causes qgis to crash on macOS to [macOS] Copy/paste table rows causes qgis to crash

didier peeters wrote:

I just did it (renamed ~/.qgis2 folder and preference files) and it doesn't make any difference.

We can leave this open, seems anyway a local issue.

#7 - 2017-05-01 01:01 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#8 - 2019-03-09 03:09 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version
will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
